> ## Documentation Index
> Fetch the complete documentation index at: https://meetbit.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create User

> Required permissions: `users.create.*`




## OpenAPI

````yaml openapi.yaml post /users
openapi: 3.0.3
info:
  title: MeetBit Public API
  version: '2.0'
servers:
  - url: https://{primary_domain}/api/public/v2.0
    variables:
      primary_domain:
        default: example.com
        description: Your tenant's primary
security:
  - AccessKeyId: []
    AccessKeySecret: []
paths:
  /users:
    post:
      tags:
        - Users
      summary: Create User
      description: |
        Required permissions: `users.create.*`
      requestBody:
        required: true
        content:
          application/json:
            schema:
              allOf:
                - type: object
                  properties:
                    activate:
                      type: boolean
                      description: >
                        Required permissions: `users.lock.*`. If true, User's
                        status is automatically activated. Must be true is
                        `is_silent` if true.
                      default: false
                    is_silent:
                      type: boolean
                      description: If true, no invitation email is sent.
                      default: false
                - $ref: '#/components/schemas/User'
      responses:
        '200':
          $ref: '#/components/responses/UserResponse'
        '400':
          $ref: '#/components/responses/ValidationErrorResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedErrorResponse'
        '429':
          $ref: '#/components/responses/RateLimitedErrorResponse'
        '500':
          $ref: '#/components/responses/UnexpectedErrorResponse'
components:
  schemas:
    User:
      type: object
      required:
        - id
        - department_id
        - first_name
        - last_name
        - email
        - timezone
        - role
        - work_hours
        - created_at
        - updated_at
      properties:
        id:
          type: integer
          nullable: false
          format: int64
          readOnly: true
        department_id:
          type: integer
          nullable: false
          format: int64
          readOnly: false
        first_name:
          type: string
          nullable: false
          maxLength: 255
          readOnly: false
        last_name:
          type: string
          nullable: false
          maxLength: 255
          readOnly: false
        email:
          type: string
          format: email
          maxLength: 255
          nullable: false
          readOnly: false
        status:
          type: integer
          enum:
            - 0
            - 1
            - 2
          description: |
            *`0` - Invited *`1` - Active *`2` - Locked
          nullable: false
          readOnly: true
        timezone:
          type: string
          description: In IANA timezone format.
          nullable: false
          readOnly: false
        work_hours:
          $ref: '#/components/schemas/WorkHours'
          nullable: false
          readOnly: false
        avatar_url:
          type: string
          format: url
          nullable: false
          readOnly: true
        role:
          type: string
          description: Must be an existing Role name.
          nullable: false
          readOnly: false
        name:
          type: string
          nullable: false
          readOnly: true
        department_name:
          type: string
          nullable: false
          readOnly: true
        created_at:
          type: string
          format: date-time
          nullable: false
          readOnly: true
        updated_at:
          type: string
          format: date-time
          nullable: false
          readOnly: true
        deleted_at:
          type: string
          format: date-time
          nullable: true
          readOnly: true
    WorkHours:
      type: object
      required:
        - sunday
        - monday
        - tuesday
        - wednesday
        - thursday
        - friday
        - saturday
      properties:
        sunday:
          type: array
          items:
            $ref: '#/components/schemas/WorkHour'
        monday:
          type: array
          items:
            $ref: '#/components/schemas/WorkHour'
        tuesday:
          type: array
          items:
            $ref: '#/components/schemas/WorkHour'
        wednesday:
          type: array
          items:
            $ref: '#/components/schemas/WorkHour'
        thursday:
          type: array
          items:
            $ref: '#/components/schemas/WorkHour'
        friday:
          type: array
          items:
            $ref: '#/components/schemas/WorkHour'
        saturday:
          type: array
          items:
            $ref: '#/components/schemas/WorkHour'
    ValidationError:
      type: object
      additionalProperties:
        type: array
        items:
          type: string
      example:
        attribute:
          - The {attribute} field is required.
    UnauthenticatedError:
      type: string
      example: Invalid or missing access key.
    UnauthorizedError:
      type: string
      example: Access denied.
    RateLimitedError:
      type: string
      example: Too many requests.
    ServerError:
      type: string
      example: An unexpected error occurred.
    WorkHour:
      type: object
      required:
        - start
        - end
      properties:
        start:
          $ref: '#/components/schemas/Time'
        end:
          $ref: '#/components/schemas/Time'
    Time:
      type: object
      description: A representation of time in a day. Cannot total to more than 24 hours.
      required:
        - hour
        - minute
        - second
      properties:
        hour:
          type: integer
          minimum: 0
          maximum: 24
        minute:
          type: integer
          minimum: 0
          maximum: 60
        second:
          type: integer
          minimum: 0
          maximum: 60
  responses:
    UserResponse:
      description: ''
      content:
        application/json:
          schema:
            required:
              - message
              - data
            properties:
              message:
                type: string
              data:
                $ref: '#/components/schemas/User'
                description: A User resource object.
    ValidationErrorResponse:
      description: Invalid request parameters or body.
      content:
        application/json:
          schema:
            required:
              - message
              - errors
            properties:
              message:
                type: string
              errors:
                $ref: '#/components/schemas/ValidationError'
    UnauthorizedErrorResponse:
      description: Client does not have the appropriate permissions.
      content:
        text/plain:
          schema:
            anyOf:
              - $ref: '#/components/schemas/UnauthenticatedError'
              - $ref: '#/components/schemas/UnauthorizedError'
    RateLimitedErrorResponse:
      description: Too many requests have been made.
      headers:
        Retry-After:
          schema:
            type: integer
            description: Number of seconds to wait before making another request.
      content:
        text/plain:
          schema:
            $ref: '#/components/schemas/RateLimitedError'
    UnexpectedErrorResponse:
      description: An unexpected error occurred.
      content:
        text/plain:
          schema:
            $ref: '#/components/schemas/ServerError'
  securitySchemes:
    AccessKeyId:
      type: apiKey
      name: X-Access-Key-Id
      in: header
    AccessKeySecret:
      type: apiKey
      name: X-Access-Key-Secret
      in: header

````